#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	qt6-qtquicktimeline
Version		:	6.8.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Qt6 - QuickTimeline plugin

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://download.qt.io/archive/qt/(vers/rel)/sumodules

Source0		:	%{sname}-everywhere-src-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	gcc-c++
BuildRequires	:	qt6-rpm-macros
BuildRequires	:	qt6-qtdeclarative-devel
BuildRequires	:	Vulkan-Loader-devel

#-----------------------------------------------------------------------------
%description
The Qt Quick Timeline plugin provides QML types
to use timelines and keyframes to animate
Qt Quick user interfaces.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSES/GPL*
%{_qt6_libdir}/libQt6QuickTimeline.so.6*
%{_qt6_libdir}/libQt6QuickTimelineBlendTrees.so.6*
%{_qt6_qmldir}/QtQuick/Timeline/

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}			= %{version}
Requires	:	qt6-qtbase-devel	= %{version}
Requires	:	qt6-qtdeclarative-devel	= %{version}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_qt6_includedir}/QtQuickTimeline/
%{_qt6_includedir}/QtQuickTimelineBlendTrees/
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/*.cmake
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/*.cmake
%{_qt6_libdir}/cmake/Qt6QuickTimeline/*.cmake
%{_qt6_libdir}/cmake/Qt6QuickTimelineBlendTrees/*.cmake
%{_qt6_libdir}/libQt6QuickTimeline.prl
%{_qt6_libdir}/libQt6QuickTimeline.so
%{_qt6_libdir}/libQt6QuickTimelineBlendTrees.prl
%{_qt6_libdir}/libQt6QuickTimelineBlendTrees.so
%{_qt6_archdatadir}/mkspecs/modules/*.pri
%{_qt6_libdir}/qt6/metatypes/qt6*_metatypes.json
%{_qt6_libdir}/qt6/modules/*.json
%{_qt6_libdir}/pkgconfig/*.pc

#=============================================================================
%package		examples
Summary		:	Example files for %{name}


#-----------------------------------------------------------------------------
%description		examples
Example files for %{name}

#-----------------------------------------------------------------------------
%files			examples
%defattr(-,root,root,-)

#=============================================================================
%prep
%setup -q -n %{sname}-everywhere-src-%{version}

#-----------------------------------------------------------------------------
#building application
%build

	
cmake							\
	-B _bld						\
	-G Ninja					\
	-S .						\
	-D CMAKE_MESSAGE_LOG_LEVEL=STATUS		\
	-D INSTALL_TRANSLATIONSDIR=%{_qt6_translationdir} \
	-D INSTALL_DATADIR=%{_qt6_datadir}		\
	-D INSTALL_ARCHDATADIR=%{_qt6_archdatadir}	\
	-D INSTALL_PLUGINSDIR=%{_qt6_plugindir}		\
	-D INSTALL_EXAMPLESDIR=%{_qt6_examplesdir}	\
	-D QT_BUILD_EXAMPLES_BY_DEFAULT=ON		\
	-D QT_INSTALL_EXAMPLES_SOURCES=ON		\
	
cmake							\
	--build						\
	_bld						\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

#-----------------------------------------------------------------------------
%changelog
